# SQLArray Class Reference
[Dynamic query builder]

Values row implementation. More...

Inheritance diagram for SQLArray:
[legend]

List of all members.

## Public Member Functions

| __construct ($array)
| getArray ()
| toDialectString (Dialect $dialect)

## Static Public Member Functions

static | create ($array)

## Private Attributes

| $array = array()

## Detailed Description

Values row implementation.

Definition at line 17 of file SQLArray.class.php.

## Constructor & Destructor Documentation

SQLArray::__construct | ( | $ | array | ) |

Definition at line 29 of file SQLArray.class.php.

References $array.

## Member Function Documentation

static SQLArray::create | ( | $ | array | ) | `[static]`

Returns:
  SQLArray

Definition at line 24 of file SQLArray.class.php.

References $array.

Referenced by InExpression::toDialectString().

SQLArray::getArray | ( |  | ) |

Definition at line 34 of file SQLArray.class.php.

SQLArray::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 39 of file SQLArray.class.php.

References $array, and Dialect::valueToString().

Here is the call graph for this function:

## Member Data Documentation

SQLArray::$array = array()`[private]`

Definition at line 19 of file SQLArray.class.php.

Referenced by __construct(), create(), and toDialectString().

The documentation for this class was generated from the following file:

- core/OSQL/SQLArray.class.php